<?php
require 'SL_Request.php';
class SL_Invoice
{	
   public $api_url = '' ;
   public $request = '' ;
   public $version = '';
   public $skey = "smartlink";        // Store the encryption key
   public $ciphering = "AES-256-CBC"; // Store the cipher method
   public $options = 0; //a bitwise disjunction of the flags OPENSSL_RAW_DATA and OPENSSL_ZERO_PADDING.
   public $encryption_iv = 'Smartlink__iv'; // Non-NULL (precisely 16 bytes) Initialization Vector for encryption

	public function __construct(){
      $this->api_base_url = 'https://pay.smartlink.so/api'; 
      $this->version = 'v3';
      $this->request = new SL_Request();
	}
      
   public function SL_validateOrder($param){
      $api_base_url = $this->api_base_url;
      $url =  $api_base_url."/validate-data";
      $res = $this->request->post($url,$param);
      return $res;
   }
   public function SL_validateMerchant($param){
      $api_base_url = $this->api_base_url;
      $url =  $api_base_url."/verify-merchant-account";
      $res = $this->request->post($url,$param);
      return $res;
   }
   public function SL_orderCache($param){
      $api_base_url = $this->api_base_url;
      $url =  $api_base_url."/store-order-to-cache";
      $res = $this->request->post($url,$param);
      return $res;
   }

   public function encrypt($value){
      if(!$value){
         return false;
      }
      $text = $value;
      $crypttext = openssl_encrypt($text, $this->ciphering, $this->skey, $this->options, $this->encryption_iv); 
      return trim($crypttext);
   }

   public function decrypt($value) {
      if (!$value) {
         return false;
      }
      $encryption = $value;
      $decrypttext=openssl_decrypt($encryption, $this->ciphering, $this->skey, $this->options, $this->encryption_iv);
      return trim($decrypttext);
   }
}
