<?php

use PrestaShop\PrestaShop\Adapter\Presenter\Order\OrderPresenter;

class SmartlinkInvoiceModuleFrontController extends ModuleFrontController {


	public function setMedia()
	{
		parent::setMedia();
	}

	public function initContent() {
		parent::initContent(); 
		
		$order_id = Tools::getValue('order_id');
		if(!isset($order_id) || $order_id == ''){
			Tools::redirect('index.php?controller=404');
		}
		$order = New Order((int)$order_id);
		if (Validate::isLoadedObject($order) && $order->id_customer == $this->context->customer->id && $order->module == "smartlink") {

			$sql = "SELECT * FROM smartlink_payments WHERE order_id= '".$order_id."'";
			$orderData = Db::getInstance()->executes($sql)[0];
            
            if($orderData['status'] == 1){
				if($this->orderConfirm($order_id)){
					$cart_id = $order->id_cart;
					$key = $order->secure_key;
					$module = $order->module;
					$sql = "SELECT id_module FROM "._DB_PREFIX_."module WHERE name='$module'";
					$module_id = Db::getInstance()->executes($sql)[0]['id_module'];
					Tools::redirect('order-confirmation?id_cart='.$cart_id.'&id_module='.$module_id.'&id_order='.$order_id.'&key='.$key);
				} else {
					$this->redirect_after = '404';
					$this->redirect();
				}
            }

			$currency = New Currency((int)$order->id_currency);
			$products = [];
			foreach ($order->getProductsDetail() as $product) {
				$data = array();
				$data['name'] = $product['product_name'];
				$data['image'] = $this->getImage($product['id_product']);
				$data['quantity'] = $product['product_quantity'];
				if(isset($order->carrier_tax_rate) && $order->carrier_tax_rate!=0)
					$data['price'] = number_format($product['unit_price_tax_excl'],2,'.','');
				else
					$data['price'] = number_format($product['unit_price_tax_incl'],2,'.','');
				array_push($products, $data);
			}

			$invoice = new SL_Invoice;
			$param['web_id'] = Configuration::get('smartlink_web_id', true);
            $param['order_id'] = $order_id;
            $param['description'] = $products[0]['name'];
            $param['fiat_amount'] = $order->total_paid;
            $param['fiat_currency'] = $currency->iso_code;
			$invoice->SL_orderCache($param);
			
			$subTotal = $order->total_products;
			$grandTotal = $order->total_paid;
            $shipping = $order->total_shipping;

			$this->order_to_display = (new OrderPresenter())->present($order);
	         $this->context->smarty->assign([
	            'order' => $this->order_to_display,
	            'web_id' => Configuration::get('smartlink_web_id', true),
	            'order_id' => $order_id,
				'reference' => $order->reference,
	         	'subTotal' => number_format($subTotal,2,'.',''),
	         	'grandTotal' => number_format($grandTotal,2,'.',''),
	         	'shippingAmount' => number_format($shipping,2,'.',''),
	         	'taxAmount' => number_format($grandTotal - $subTotal - $shipping,2,'.',''),
	         	'orderCurrencySymbol' => $currency->symbol,
	         	'totalAmount' => $orderData['fiat_amount'],
	         	'coin' => $orderData['fiat_currency'],
	         	'carrier_tax_rate' => (int)$order->carrier_tax_rate,
	         	'img_path' => __PS_BASE_URI__."modules/".$this->module->name."/img/",
	         	'products' => $products,
	         ]);
	         
	         $this->registerStyleSheet(
					"front-controller-smartlink-css",
					"modules/".$this->module->name."/views/templates/front/css/sl_plugin.css",
					[
						'priority' => 999
					]
				);
			$this->registerJavascript(
				"front-controller-smartlink-js",
				"modules/".$this->module->name."/views/templates/front/js/checkout.js",
				[
					'priority' => 999
				]
			);
	      	$this->setTemplate('module:smartlink/views/templates/front/invoice.tpl');
      } else {
       	$this->redirect_after = '404';
       	$this->redirect();
      }
	}

	public function getImage($id_product){
		$sql="SELECT id_image FROM "._DB_PREFIX_."image WHERE cover = 1 AND id_product = $id_product";
		$imageData = Db::getInstance()->executes($sql)[0];
		$idImage = $imageData['id_image'];
		$imgPath = _PS_BASE_URL_ . __PS_BASE_URI__.'img/p/';
		for ($i = 0; $i < strlen($idImage); $i++) {
  			$imgPath .= $idImage[$i] . '/';
		}
		$imgPath .= $idImage . '.jpg';
		return $imgPath;
	}

	public function orderConfirm($order_id){
		$db = Db::getInstance();
		$order = new Order($order_id);
		$sql = "SELECT * FROM smartlink_payments WHERE order_id='".$order_id."'";
		$result_invoice = $db->executes($sql);
		if(!empty($result_invoice) && ($result_invoice[0]['status'] == 1 )){
	      $accepted_payment_status = Configuration::get('smartlink_order_status');
			$order_current_status = $order->current_state;
			if($accepted_payment_status != $order_current_status){
				$history = new OrderHistory();
				$history->id_order = $order->id;
				$history->id_employee = (int) 1;
				$history->id_order_state = $accepted_payment_status;
				$history->save();
				$history->changeIdOrderState($accepted_payment_status, $order , true); 
				$history->sendEmail($order);
			}
			return true;
	   }
	   return false;
	}
}