<?php 

class SmartlinkRedirectModuleFrontController extends ModuleFrontController{

   public function postProcess(){

      $this->title = $this->module->l('My module title'); 
      $cart = $this->context->cart;
      $car_array = json_decode(json_encode($cart),true);

      if ($cart->id_customer == 0
         || $cart->id_address_delivery == 0
         || $cart->id_address_invoice == 0
         || !$this->module->active
      ) {
         Tools::redirect('index.php?controller=order&step=1');
      }

      $authorized = false;

      foreach (Module::getPaymentModules() as $module) {
         if ($module['name'] == 'smartlink') {
            $authorized = true;
            break;
         }
      }

      if (!$authorized) {
         $msg = 'This payment method is not available';
         $error_link = $this->context->link->getModuleLink('smartlink','error',array('msg'=>$msg));
         Tools::redirect($error_link);
      }
      $mailVars = array();
      $customer = new Customer($cart->id_customer);

      if (!Validate::isLoadedObject($customer)) {
         Tools::redirect('index.php?controller=order&step=1');
      }

      $currency = $this->context->currency;
      $total = (string)$cart->getOrderTotal(true, Cart::BOTH);

      $this->module->validateOrder($cart->id, Configuration::get('PS_OS_BANKWIRE'), $total, $this->module->displayName, null, $mailVars, (int) $currency->id, false, $customer->secure_key);
      $orderId = $this->module->currentOrder;
      date_default_timezone_set("UTC");

      $add_param['api_key'] = Configuration::get('smartlink_api_key', true);
      $add_param['marchant_id'] = Configuration::get('smartlink_marchant_id', true);

      if(!$add_param['api_key'] || $add_param['api_key'] == ''){
         $this->delete_order($orderId);
         $msg = 'Opps! Somethig went wrong!';
         $error_link = $this->context->link->getModuleLink('smartlink','error',array('msg'=>$msg));
         Tools::redirect($error_link);
      }
      if(!$add_param['marchant_id'] || $add_param['marchant_id'] == ''){
         $this->delete_order($orderId);
         $msg = 'Opps! Somethig went wrong!';
         $error_link = $this->context->link->getModuleLink('smartlink','error',array('msg'=>$msg));
         Tools::redirect($error_link);
      }
      $fiat_symbol =  $currency->iso_code;
      $fiat_amount = $total;
      $order_status = '0';
      
      $db = Db::getInstance();
      $payment_table_name = 'smartlink_payments';
      $created_at = date("Y-m-d H:i:s");
      $updated_at = date("Y-m-d H:i:s");

      $pay_sql = "INSERT INTO $payment_table_name (`order_id`, `fiat_amount`, `fiat_currency`, `status`, `created_at`, `updated_at`) 
                  VALUES ('$orderId', '$fiat_amount', '$fiat_symbol', '$order_status', '$created_at', '$updated_at')";
      
      $db->execute($pay_sql);
      Tools::redirect(_PS_BASE_URL_ . __PS_BASE_URI__ .'index.php?controller=invoice&fc=module&module=smartlink&order_id='.$orderId);
    }

   protected function delete_order($orderId){
      $order = New Order($orderId);
      $order->delete();
   }
}